#!/usr/bin/env python3
from __future__ import print_function

from py2stl import *
from random import seed, randint

seed(42) # You want a fixed seed here, for consistent results.
for y in range(15):
	for x in range(15):
		if x % 2 == 1 and y % 2 == 1:
			continue
		elif x % 4 != 3 and y % 4 != 3:
			print(box().translateZ(1).scale(0.8, 0.8, 0.8)
				.scaleZ(randint(1, 10))
				.translate(x * 2, y * 2, 0))
